---
title: "Detailed Verification Report"
slug: "detailed-verification-report"
updated: 2025-06-27T20:05:37Z
published: 2025-06-27T20:05:37Z
canonical: "docs.onespan.com/detailed-verification-report"
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onespan.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Detailed Verification Report

The Detailed Verification Report API retrieves the verification results for a transaction. The following data is included in the report:

- Personal information
- Document information
- An SFT URL to the picture of the ID document
- The score and the threshold that are associated with the verification

For more information about downloading the pictures of the ID document, see [Download image binary data](/v1/docs/retrieve-verification-images#download-image-binary-data).

## Syntax

```http
GET /api/transactions/id/detailed-verification-report
```

## Available parameters

| **Request parameters** |
| --- |
| Name | Type | Description |
| id | String | Required. This is the unique identifier of the verification of a single person. |

## Examples

### Example request

```http
curl --location --request GET 'http(s)://$host:$port/api/transactions/$TX_ID/detailed-verification-report' \
--header 'Authorization: Bearer $TENANT_ACCESS_TOKEN'
```

### Example responses

The Detailed Verification Report response contains information about the various stages of a transaction. The actual content of the response depends on the IDV status of the transaction.

#### CreateVerification stage response

In this stage, the response covers all data that was submitted prior to the start of the verification process.

```json
{
  "id": "fe74D66E-6B51-8992-A169-E14C3c281E5f",
  "result": "Undefined",
  "status": "InProgress",
  "stages": [
    {
      "stageId": 1,
      "stageType": {
        "title": "CreateVerification"
      },
      "attemptNumber": 1,
      "result": "Passed",
      "created": "2021-09-29T18:25:43.511Z",
      "details": {
        "personalInformation": {
          "nameInformation": {
            "forename": "John",
            "surname": "Doe",
            "birthSurname": "B"
          },
          "dateOfBirth": "1999-01-01",
          "addressInformation": {
            "flatOrApartmentNumber": 123,
            "houseName": "MyHouse",
            "houseNumber": 456,
            "postCode": "MyPostCode",
            "country": "MyCountry",
            "countyOrProvince": "MyProvince",
            "poBox": 1234,
            "street": "MyStreet",
            "town": "MyTown",
            "city": "MyCity"
          },
          "mobilePhoneNumber": "+12345678900"
        }
      }
    }
  ]
}
```

#### AddProviderData stage response

In this stage, the response covers all data that was extracted from the provided IDs.

```json
{
  "stageId": 1,
  "stageType": {
    "service": "DocumentId",
    "provider": "xyz",
    "title": "AddProviderData"
  },
  "comment": "Identity Verification Data is successfully extracted from provider.",
  "attemptNumber": 1,
  "result": "Passed",
  "created": "2023-03-22T12:37:35.065Z",
  "details": {
    "personalInformation": {
      "documentsInformation": [
        {
          "documentElement": {
            "type": "Passport",
            "pages": [
              {
                "type": "PassportDataPage",
                "url": "sfs://MyURL/default/Test_Tenant_ID/transactions/bf0d536d-3cb9-41b5-b158-8a5936169XXX/document/a5658e14-d174-47f6-8ab2-14da8257cXXX/jpeg"
              }
            ]
          },
          "extractedDocumentSegments": [
            {
              "zone": "MergedZones",
              "personalInformation": {
                "nameInformation": {
                  "forename": "JOHN",
                  "surname": "DOE"
                },
                "dateOfBirth": "1980-01-01",
                "gender": "Male",
                "nationality": "GBR",
                "addressInformation": {},
                "documentElement": {
                  "type": "Passport",
                  "number": "123456789",
                  "issuingCountry": "GB",
                  "issuingAuthority": "HMPO",
                  "issueDate": "2018-08-09",
                  "expiryDate": "2029-05-09"
                }
              },
              "providerSpecificData": {
                "Document Class Name": "Passport",
                "Issuing State Name": "United Kingdom (Citizen)",
                "Issuing State Code": "GBR",
                "Issue Date": "/Date(1533772800000)/",
                "Document Class Code": "P",
                "Biographic.ExpirationDate": "/Date(1872979200000)/",
                "Nationality Name": "United Kingdom (Citizen)"
              }
            },
            {
              "zone": "Viz",
              "personalInformation": {
                "nameInformation": {
                  "forename": "JOHN",
                  "surname": "DOE"
                },
                "dateOfBirth": "1980-01-01",
                "gender": "Male",
                "addressInformation": {},
                "documentElement": {
                  "number": "123456789",
                  "issuingAuthority": "HMPO",
                  "issueDate": "2018-08-09",
                  "expiryDate": "2029-05-09"
                }
              },
              "providerSpecificData": {
                "VIZ Nationality Name": "BRITISH CITIZEN",
                "VIZ Issue Date": "/Date(1533772800000)/",
                "VIZ Expiration Date": "/Date(1872979200000)/"
              }
            },
            {
              "zone": "Mrz",
              "personalInformation": {
                "nameInformation": {
                  "forename": "JOHN",
                  "surname": "DOE"
                },
                "dateOfBirth": "1980-01-01",
                "gender": "Male",
                "nationality": "GBR",
                "addressInformation": {},
                "documentElement": {
                  "number": "123456789",
                  "issuingCountry": "GB",
                  "expiryDate": "2029-05-09"
                }
              },
              "providerSpecificData": {
                "VI Issuing State Code": "GBR",
                "VI Document Class Code": "P",
                "VI Issuing State Name": "United Kingdom (Citizen)",
                "VI Nationality Name": "United Kingdom (Citizen)",
                "VI Expiration Date": "/Date(1872979200000)/"
              }
            },
            {
              "zone": "MergedZones",
              "segmentCategory": "Type",
              "personalInformation": {
                "documentElement": {
                  "type": "Passport",
                  "issuingCountry": "GB"
                }
              },
              "providerSpecificData": {
                "Type.IssuerName": "United Kingdom (Citizen)",
                "Type.IssueType": "ePassport",
                "Type.CountryCode": "GBR",
                "Type.IssuerCode": "GBR",
                "Type.ClassName": "Passport",
                "Type.ClassCode": "P"
              }
            },
            {
              "zone": "MergedZones",
              "segmentCategory": "Front",
              "personalInformation": {
                "documentElement": {
                  "type": "Passport",
                  "issuingCountry": "GB"
                }
              },
              "providerSpecificData": {
                "Front.ClassCode": "P",
                "Front.IssuerName": "United Kingdom (Citizen)",
                "Front.ClassName": "Passport",
                "Front.IssuerCode": "GBR",
                "Front.IssueType": "ePassport",
                "Front.CountryCode": "GBR"
              }
            }
          ]
        }
      ]
    }
  }
}
```

#### AttemptVerification Stage response

In this stage, the response covers the verification result for a given field.

```json
{
  "stageId": 3,
  "stageType": {
    "service": "DocumentId",
    "provider": "xyz",
    "title": "AttemptVerification"
  },
  "attemptNumber": 1,
  "result": "Passed",
  "created": "2023-05-23T10:59:16.088Z",
  "details": {
    "matchers": [
      {
        "name": "document_number",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "document_number",
            "description": "Compares document number submitted and extracted.",
            "evaluated": "[1234567M123PB5, KB1234567]",
            "operator": "Equivalent",
            "evaluatedAgainst": "1234567M123PB5",
            "result": "Passed",
            "personalInformation": {
              "documentsInformation": [
                {
                  "documentElement": {
                    "number": "1234567M123PB5",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/ONESPAN_IDV_LIVE/transactions/439dfba9-817a-433d-83c3-8c384a43f5de/document/d11196a9-31af-4b94-a154-2695c7d46a00/jpeg"
                      }
                    ]
                  },
                  "extractedDocumentSegments": [
                    {
                      "zone": "MergedZones",
                      "personalInformation": {
                        "documentElement": {
                          "number": "KB1234567",
                          "identificationNumber": "1234567M123PB5"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        ]
      },
      {
        "name": "date_of_birth",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "date_of_birth",
            "description": "Compares date of birth submitted and extracted.",
            "evaluated": "1986-10-16",
            "operator": "EqualsTo",
            "evaluatedAgainst": "1986-10-16",
            "result": "Passed",
            "personalInformation": {
              "dateOfBirth": "1986-10-16",
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/ONESPAN_IDV_LIVE/transactions/439dfba9-817a-433d-83c3-8c384a43f5de/document/d11196a9-31af-4b94-a154-2695c7d46a00/jpeg"
                      }
                    ]
                  },
                  "extractedDocumentSegments": [
                    {
                      "zone": "MergedZones",
                      "personalInformation": {
                        "dateOfBirth": "1986-10-16"
                      }
                    }
                  ]
                }
              ]
            }
          }
        ]
      },
      {
        "name": "date_of_expiry",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "date_of_expiry",
            "description": "Checks that document expire date is today or later.",
            "evaluated": "2023-12-15",
            "operator": "GreaterOrEqualsTo",
            "evaluatedAgainst": "2023-05-23",
            "result": "Passed",
            "personalInformation": {
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/ONESPAN_IDV_LIVE/transactions/439dfba9-817a-433d-83c3-8c384a43f5de/document/d11196a9-31af-4b94-a154-2695c7d46a00/jpeg"
                      }
                    ]
                  },
                  "extractedDocumentSegments": [
                    {
                      "zone": "MergedZones",
                      "personalInformation": {
                        "documentElement": {
                          "expiryDate": "2023-12-15"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        ]
      },
      {
        "name": "document_supported",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "document_supported",
            "description": "Compares a match of countries and supported document types.",
            "evaluated": "{\"type\":\"P\",\"country\":\"GB\"}",
            "operator": "Equivalent",
            "evaluatedAgainst": "{\"type\":\"P\",\"country\":\"GB\"}",
            "result": "Passed",
            "personalInformation": {
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "issuingCountry": "GB",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/ONESPAN_IDV_LIVE/transactions/439dfba9-817a-433d-83c3-8c384a43f5de/document/d11196a9-31af-4b94-a154-2695c7d46a00/jpeg"
                      }
                    ]
                  },
                  "extractedDocumentSegments": [
                    {
                      "zone": "MergedZones",
                      "personalInformation": {
                        "documentElement": {
                          "type": "Passport",
                          "issuingCountry": "GB"
                        }
                      },
                      "providerSpecificData": {
                        "documentType": "XX_Passport_YYYY",
                        "DD_ExpeditionPlace_Out": "GBR",
                        "DD_IssuingCountry_Out": "GBR"
                      }
                    }
                 ]
                }
              ]
            }
          }
        ]
      },
      {
        "name": "address_match",
        "comment": "Some data was not supplied, the comparison cannot be executed.",
        "result": "Error",
        "behaviors": [
          "ExecuteOnly"
        ],
        "checks": [
          {
            "name": "address_match",
            "description": "Compares address submitted and extracted.",
            "operator": "Equivalent",
            "evaluatedAgainst": "{\"houseNumber\":\"11\",\"postCode\":\"ABC123\",\"poBox\":\"1234\"}",
            "result": "AnalysedDataInsufficient",
            "personalInformation": {
              "addressInformation": {
                "houseNumber": "11",
                "postCode": "ABC123",
                "poBox": "1234"
              },
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/ONESPAN_IDV_LIVE/transactions/439dfba9-817a-433d-83c3-8c384a43f5de/document/d11196a9-31af-4b94-a154-2695c7d46a00/jpeg"
                      }
                    ]
                  }
                }
              ]
            }
          }
        ]
      },
      {
        "name": "name",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "name",
            "description": "Full name match: compares different name part submitted and extracted in order to determine how closely the submitted and extracted data is. Matching the calculated proximity is between 0.0 and 1.0 which is to be understood as a percentage of similarity.",
            "evaluated": "1.0",
            "operator": "GreaterOrEqualsTo",
            "evaluatedAgainst": "1.0",
            "result": "Passed",
            "personalInformation": {
              "nameInformation": {
                "forename": "John",
                "surname": "Doe"
              },
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/ONESPAN_IDV_LIVE/transactions/439dfba9-817a-433d-83c3-8c384a43f5de/document/d11196a9-31af-4b94-a154-2695c7d46a00/jpeg"
                      }
                    ]
                  },
                  "extractedDocumentSegments": [
                    {
                      "zone": "MergedZones",
                      "personalInformation": {
                        "nameInformation": {
                          "forename": "JOHN",
                          "surname": "DOE"
                        }
                      }
                    }
                  ]
                }
              ]
            }
          }
        ]
      },
      {
        "name": "face_similarity",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "face_similarity",
            "description": "Determine how closely selfie(s) is(are) similar to picture of the person on the document.",
            "evaluated": "0.9999998366743112",
            "operator": "GreaterOrEqualsTo",
            "evaluatedAgainst": "0.7",
            "result": "Passed",
            "personalInformation": {
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/DTE_AGREEMENT_AUTOMATION_TEST/transactions/yyyyyyyy-yyyy-yyyy-yyyy-yyyyyyyyyyyy/document/a0564f56-be41-4d94-ad3f-8069c132bec0/jpeg"
                      }
                    ]
                  },
                  "analyzedData": [
                    {
                      "result": "0.9999998366743112",
                      "biometricInformation": {
                        "type": "Picture",
                        "detail": "Selfie",
                        "url": "sfs://MyURL/default/DTE_AGREEMENT_AUTOMATION_TEST/transactions/yyyyyyyy-yyyy-yyyy-yyyy-yyyyyyyyyyyy/biometrics/23268a24-1d1f-420e-b33c-878bb313eef6/jpeg"
                      }
                    }
                  ]
                }
              ]
            }
          }
        ]
      },
      {
        "name": "liveness_check",
        "result": "Match",
        "behaviors": [
          "AffectsVerificationAttemptResult"
        ],
        "checks": [
          {
            "name": "liveness_check",
            "description": "Checks the liveness of the selfie(s).",
            "evaluated": "1.0",
            "operator": "GreaterOrEqualsTo",
            "evaluatedAgainst": "0.95",
            "result": "Passed",
            "personalInformation": {
              "documentsInformation": [
                {
                  "documentElement": {
                    "type": "Passport",
                    "pages": [
                      {
                        "type": "PassportDataPage",
                        "url": "sfs://MyURL/default/DTE_AGREEMENT_AUTOMATION_TEST/transactions/yyyyyyyy-yyyy-yyyy-yyyy-yyyyyyyyyyyy/document/a0564f56-be41-4d94-ad3f-8069c132bec0/jpeg"
                      }
                    ]
                  },
                  "analyzedData": [
                    {
                      "result": "1.0",
                      "biometricInformation": {
                        "type": "Picture",
                        "detail": "Selfie",
                        "url": "sfs://MyURL/default/DTE_AGREEMENT_AUTOMATION_TEST/transactions/yyyyyyyy-yyyy-yyyy-yyyy-yyyyyyyyyyyy/biometrics/23268a24-1d1f-420e-b33c-878bb313eef6/jpeg"
                      }
                    }
                  ]
                }
              ]
            }
          }
        ]
      }
    ]
  }
}
]
}
```

### Status codes

<editor360-custom-block data-preprocessing="true" data-sanitizationtags="a"><div data-type="table-content"> <table width="100%" class=" fr-alternate-rows editor360-table" borderstyle="Solid"> <colgroup style="display:none;"> <col style="width:196px;"> <col style="width:250px;"> <col style="width:250px;"> </colgroup> <tbody> <tr> <td colspan="3" rowspan="1" colwidth="196" style="vertical-align:middle;text-align:left;"> <p data-block-id="871f59d7-4f15-49ca-b355-7b71265735cf"><a name="Tab_Status_codes" display="false"></a><strong>Status codes</strong></p> </td> </tr> <tr> <th colspan="1" rowspan="1" colwidth="196" class="TableStyle-Global-HeadE-Column-MainHeader" style="vertical-align:middle;text-align:left;"> <p data-block-id="48cfb093-e5d5-4025-a6ed-a23e4c13a7e6">Status code</p> </th> <th colspan="1" rowspan="1" class="TableStyle-Global-HeadE-Column-MainHeader" style="vertical-align:middle;text-align:left;"> <p data-block-id="642feb5f-8da9-4fbd-acd5-a1c88387ac45">Name</p> </th> <th colspan="1" rowspan="1" class="TableStyle-Global-HeadD-Column-MainHeader" style="vertical-align:middle;text-align:left;"> <p data-block-id="3e728c4b-c135-4496-9271-810343570795">Description</p> </th> </tr> <tr> <td colspan="1" rowspan="1" colwidth="196" style="vertical-align:middle;text-align:left;"> <p data-block-id="a0e9baca-c676-497d-8d4f-7c809a24b1c2"><span class="vdsCodeBasic" type="spanMark">200</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="cde02fa3-1b32-4272-a8bc-3bff1192c58e"><span class="vdsCodeBasic" type="spanMark">OK</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="3d89d970-1eff-4e1b-8110-c530338018e8">Verification report is successfully retrieved.</p> </td> </tr> <tr> <td colspan="1" rowspan="1" colwidth="196" style="vertical-align:middle;text-align:left;"> <p data-block-id="857ee58a-a65f-47f3-af33-f7c654517f37"><span class="vdsCodeBasic" type="spanMark">400</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="b8bd748b-fe78-4d3d-bdaf-4ef35b6f0102"><span class="vdsCodeBasic" type="spanMark">Bad Request</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="3128261d-98ce-4d6b-a7e6-370079af19bb">The client has provided invalid input.</p> </td> </tr> <tr> <td colspan="1" rowspan="1" colwidth="196" style="vertical-align:middle;text-align:left;"> <p data-block-id="5159e40a-de27-4aed-8b16-61713febf5b5"><span class="vdsCodeBasic" type="spanMark">401</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="42fd566c-47ab-4338-ae5c-f55aec4f717f"><span class="vdsCodeBasic" type="spanMark">Unauthorized</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="a8b7ec1f-74f9-4475-b663-13ac03b461fc">The client has not provided a valid access token, or has provided an access token which misses a number of claims. In this specific case, for reasons of security, no details are provided in the response.</p> </td> </tr> <tr> <td colspan="1" rowspan="1" colwidth="196" style="vertical-align:middle;text-align:left;"> <p data-block-id="27ad6951-9b51-4552-adb3-e43f9dff086e"><span class="vdsCodeBasic" type="spanMark">404</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="c3d9b425-4940-4994-8825-f7cdc64ff48d"><span class="vdsCodeBasic" type="spanMark">Not Found</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="57ddaef4-ade7-4ed5-8faa-cfa208649753">The requested resource was not found.</p> </td> </tr> <tr> <td colspan="1" rowspan="1" colwidth="196" style="vertical-align:middle;text-align:left;"> <p data-block-id="16db8519-b888-4dfa-a97c-458a57150c0f"><span class="vdsCodeBasic" type="spanMark">500</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="870abb71-df43-4202-ba10-87d877ca4a4f"><span class="vdsCodeBasic" type="spanMark">Internal Server Error</span></p> </td> <td colspan="1" rowspan="1" style="vertical-align:middle;text-align:left;"> <p data-block-id="bd7f8282-25be-4013-a3cd-42733a7f332e">The server encountered an unexpected condition which prevented it from completing the request.</p> </td> </tr> </tbody> </table></div></editor360-custom-block>
